Index: build.xml
===================================================================
--- build.xml	(revision 8883)
+++ build.xml	(working copy)
@@ -855,11 +855,13 @@
   </target>
 
   <target name="script-factory-scheme" if="${-needs-scripting-inf}">
+    <mkdir dir="META-INF/services"/>
     <echo message="kawa.standard.SchemeScriptEngineFactory #Scheme&#xA;"
           append="true"
           file="META-INF/services/javax.script.ScriptEngineFactory"/>
   </target>
   <target name="script-factory-xquery" if="${-needs-scripting-inf-xquery}">
+    <mkdir dir="META-INF/services"/>
     <echo message="gnu.xquery.lang.XQueryScriptEngineFactory #XQuery&#xA;"
           append="true"
           file="META-INF/services/javax.script.ScriptEngineFactory"/>
Index: ChangeLog
===================================================================
--- ChangeLog	(revision 8883)
+++ ChangeLog	(working copy)
@@ -1,3 +1,9 @@
+2016-07-20  Jamison Hope  <jrh@theptrgroup.com>
+
+	* build.xml (script-factory-scheme, script-factory-xquery): Make
+	sure META-INF/services directory exists before writing to
+	META-INF/services/javax.script.ScriptEngineFactory file.
+
 2016-07-13  Per Bothner  <per@bothner.com>
 
 	Replace use of JFreeSVG with VectorGraphics2D library.
